### Signal

# Gio NetworkMonitor::network-changed

since: 2.32

#### Declaration

    void
    network_changed (
      GNetworkMonitor* self,
      gboolean network_available,
      gpointer user_data
    )

#### Description [src]

Emitted when the network configuration changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.32

#### Parameters

`network_available`

  Type: `gboolean`

  The current value of `GNetworkMonitor:network-available`.